%define	upstream_name Digest-Nilsimsa
%define	upstream_version 0.06

%{?perl_default_filter}

Name:		perl-Digest-Nilsimsa
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl interface to the Nilsima Algorithm
Source:		http://www.cpan.org/authors/id/V/VI/VIPUL/%{upstream_name}-%{upstream_version}.tar.bz2
URL:		http://search.cpan.org/dist/%{upstream_name}/
BuildRequires:	perl-devel

%description
Digest-Nilsimsa module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc README 
%{_mandir}/*/*
%{perl_vendorarch}/auto/Digest/Nilsimsa
%{perl_vendorarch}/Digest/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-15.mga6
+ Revision: 1025793
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-14.mga6
+ Revision: 957230
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 0.60.0-13.mga6
+ Revision: 855759
- Update spec

* Thu Jun 25 2015 sander85 <sander85> 0.60.0-12.mga6
+ Revision: 843783
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-11.mga5
+ Revision: 741740
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-10.mga5
+ Revision: 684367
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.60.0-9.mga5
+ Revision: 631128
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-8.mga4
+ Revision: 524762
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.60.0-7.mga4
+ Revision: 431507
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-6.mga3
+ Revision: 365928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.60.0-5.mga3
+ Revision: 250578
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.60.0-4.mga2
+ Revision: 104223
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.60.0-3.mga1
+ Revision: 11059
- imported package perl-Digest-Nilsimsa


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.60.0-3mdv2011.0
+ Revision: 564429
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-2mdv2011.0
+ Revision: 555245
- rebuild

* Mon Aug 03 2009 Götz Waschk <waschk@mandriva.org> 0.60.0-1mdv2010.1
+ Revision: 408206
- use perl version macro

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.06-12mdv2009.0
+ Revision: 223659
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.06-11mdv2008.1
+ Revision: 152066
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.06-10mdv2008.0
+ Revision: 67818
- rebuild

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.06-9mdv2008.0
+ Revision: 23414
- rebuild


* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.06-8mdk
- Rebuild

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.06-7mdk
- rebuild for new perl

* Thu Apr 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.06-6mdk
- rebuild for new perl

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.06-5mdk
- rebuild against new perl
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-4mdk
- rebuild for new auto{prov,req}

* Mon Sep 02 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.06-3mdk
- Recompiled with perl multithreaded (spotted by Ben Reser)

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.06-2mdk
- rebuild for perl 5.8.0

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.06-1mdk
- Initial Mdk package

